


--Randomized Books.
function HCRandombook(items, result, player)
    local pup = ZombRand(125);
    if pup == 124 then
	    player:getInventory():AddItem("Hydrocraft.HCBooksailing");
    elseif pup == 123 then
	    player:getInventory():AddItem("Hydrocraft.HCBookorganicchemistry");
    elseif pup == 122 then
	    player:getInventory():AddItem("Hydrocraft.HCBookecology");
    elseif pup == 121 then
	    player:getInventory():AddItem("Hydrocraft.HCBookradio");
    elseif pup == 120 then
	    player:getInventory():AddItem("Hydrocraft.HCBookarcheology");
    elseif pup == 119 then
	    player:getInventory():AddItem("Hydrocraft.HCBookcalligraphy");
    elseif pup == 118 then	
	    player:getInventory():AddItem("Hydrocraft.HCBookastrology");
    elseif pup == 117 then
	    player:getInventory():AddItem("Hydrocraft.HCBooksculpting");
    elseif pup == 116 then
	    player:getInventory():AddItem("Hydrocraft.HCBookgardening");
    elseif pup == 115 then
	    player:getInventory():AddItem("Hydrocraft.HCBookmicrobiology");
    elseif pup == 114 then
	    player:getInventory():AddItem("Hydrocraft.HCBooklocksmithing");
    elseif pup == 113 then
	    player:getInventory():AddItem("Hydrocraft.HCBookkoran");
    elseif pup == 112 then
	    player:getInventory():AddItem("Hydrocraft.HCBookdutch");
    elseif pup == 111 then
	    player:getInventory():AddItem("Hydrocraft.HCBookczech");
    elseif pup == 110 then
	    player:getInventory():AddItem("Hydrocraft.HCBookegyptian");
    elseif pup == 109 then
	    player:getInventory():AddItem("Hydrocraft.HCBookzulu");
    elseif pup == 108 then
	    player:getInventory():AddItem("Hydrocraft.HCBookpolish");
    elseif pup == 107 then
	    player:getInventory():AddItem("Hydrocraft.HCBookhebrew");
    elseif pup == 106 then
	    player:getInventory():AddItem("Hydrocraft.HCBookfinnish");
    elseif pup == 105 then
	    player:getInventory():AddItem("Hydrocraft.HCBookgreek");
    elseif pup == 104 then
	    player:getInventory():AddItem("Hydrocraft.HCBookarabic");
    elseif pup == 103 then
	    player:getInventory():AddItem("Hydrocraft.HCBookhindi");
    elseif pup == 102 then
	    player:getInventory():AddItem("Hydrocraft.HCBookportuguise");
    elseif pup == 101 then
	    player:getInventory():AddItem("Hydrocraft.HCBookchinese");
    elseif pup == 100 then	
	    player:getInventory():AddItem("Hydrocraft.HCBookjapanese");
    elseif pup == 99 then
	    player:getInventory():AddItem("Hydrocraft.HCBookkorean");
    elseif pup == 98 then
	    player:getInventory():AddItem("Hydrocraft.HCBookrussian");
    elseif pup == 97 then
	    player:getInventory():AddItem("Hydrocraft.HCBookanarchist");
    elseif pup == 96 then
	    player:getInventory():AddItem("Hydrocraft.HCBookbicycle");
    elseif pup == 95 then
	    player:getInventory():AddItem("Hydrocraft.HCBookjunk");
    elseif pup == 94 then
	    player:getInventory():AddItem("Hydrocraft.HCBookrocketry");
    elseif pup == 93 then
	    player:getInventory():AddItem("Hydrocraft.HCBookgunsmithing");
    elseif pup == 92 then
	    player:getInventory():AddItem("Hydrocraft.HCBookindustrial");
    elseif pup == 91 then
	    player:getInventory():AddItem("Hydrocraft.HCBookmagnets");
    elseif pup == 90 then
	    player:getInventory():AddItem("Hydrocraft.HCBookwelding");
    elseif pup == 89 then
	    player:getInventory():AddItem("Hydrocraft.HCBookpharmacology");
    elseif pup == 88 then
	    player:getInventory():AddItem("Hydrocraft.HCBookfungiguide");
    elseif pup == 87 then
	    player:getInventory():AddItem("Hydrocraft.HCBookbaking");
    elseif pup == 86 then
	    player:getInventory():AddItem("Hydrocraft.HCBooksausagemaking");
    elseif pup == 85 then
	    player:getInventory():AddItem("Hydrocraft.HCBookcheesemaking");
    elseif pup == 84 then
	    player:getInventory():AddItem("Hydrocraft.HCBooksericulture");
    elseif pup == 83 then
	    player:getInventory():AddItem("Hydrocraft.HCBookherbalism");
    elseif pup == 82 then
	    player:getInventory():AddItem("Hydrocraft.HCBookwinemaking");
    elseif pup == 81 then
	    player:getInventory():AddItem("Hydrocraft.HCBookleatherworking");
    elseif pup == 80 then
	    player:getInventory():AddItem("Hydrocraft.HCBookhunting");
    elseif pup == 79 then
	    player:getInventory():AddItem("Hydrocraft.HCBookstoneworking");
    elseif pup == 78 then
	    player:getInventory():AddItem("Hydrocraft.HCBookmasonry");
    elseif pup == 77 then
	    player:getInventory():AddItem("Hydrocraft.HCBookbasketry");
    elseif pup == 76 then
	    player:getInventory():AddItem("Hydrocraft.HCBookcandlemaking");
    elseif pup == 75 then
	    player:getInventory():AddItem("Hydrocraft.HCBookrubberworking");
    elseif pup == 74 then
	    player:getInventory():AddItem("Hydrocraft.HCBooklithiumworking");
    elseif pup == 73 then
	    player:getInventory():AddItem("Hydrocraft.HCBookaluminumworking");
    elseif pup == 72 then
	    player:getInventory():AddItem("Hydrocraft.HCBookgoldworking");
    elseif pup == 71 then
	    player:getInventory():AddItem("Hydrocraft.HCBooksilverworking");
    elseif pup == 70 then
	    player:getInventory():AddItem("Hydrocraft.HCBooksteelworking");
    elseif pup == 69 then
	    player:getInventory():AddItem("Hydrocraft.HCBookleadworking");
    elseif pup == 68 then
	    player:getInventory():AddItem("Hydrocraft.HCBookironworking");
    elseif pup == 67 then
	    player:getInventory():AddItem("Hydrocraft.HCBookbronzeworking");
    elseif pup == 66 then
	    player:getInventory():AddItem("Hydrocraft.HCBooktinworking");
    elseif pup == 65 then
	    player:getInventory():AddItem("Hydrocraft.HCBookcopperworking");
    elseif pup == 64 then
	    player:getInventory():AddItem("Hydrocraft.HCBookglassworking");
    elseif pup == 63 then	
	    player:getInventory():AddItem("Hydrocraft.HCBookpottery");
    elseif pup == 62 then
	    player:getInventory():AddItem("Hydrocraft.HCBookarchery");
    elseif pup == 61 then
	    player:getInventory():AddItem("Hydrocraft.HCBookanthropology");
    elseif pup == 60 then
	    player:getInventory():AddItem("Hydrocraft.HCBookelectrical");
    elseif pup == 59 then
	    player:getInventory():AddItem("Hydrocraft.HCBookplumbing");
    elseif pup == 58 then
	    player:getInventory():AddItem("Hydrocraft.HCBookapiculture");
    elseif pup == 57 then
	    player:getInventory():AddItem("Hydrocraft.HCBookamphibianguide");
    elseif pup == 56 then
	    player:getInventory():AddItem("Hydrocraft.HCBookworldatlas");
    elseif pup == 55 then
	    player:getInventory():AddItem("Hydrocraft.HCBooksociology");
    elseif pup == 54 then
	    player:getInventory():AddItem("Hydrocraft.HCBookscience");
    elseif pup == 53 then
	    player:getInventory():AddItem("Hydrocraft.HCBookrobotics");
    elseif pup == 52 then
	    player:getInventory():AddItem("Hydrocraft.HCBookreptileguide");
    elseif pup == 51 then
	    player:getInventory():AddItem("Hydrocraft.HCBookpoliticalscience");
    elseif pup == 50 then
	    player:getInventory():AddItem("Hydrocraft.HCBookphysics");
    elseif pup == 49 then
	    player:getInventory():AddItem("Hydrocraft.HCBookphilosophy");
    elseif pup == 48 then
	    player:getInventory():AddItem("Hydrocraft.HCBookoceanography");
    elseif pup == 47 then
	    player:getInventory():AddItem("Hydrocraft.HCBooknorsemyths");
    elseif pup == 46 then
	    player:getInventory():AddItem("Hydrocraft.HCBookmammalguide");
    elseif pup == 45 then
	    player:getInventory():AddItem("Hydrocraft.HCBookliterature");
    elseif pup == 44 then
	    player:getInventory():AddItem("Hydrocraft.HCBooklaw");
    elseif pup == 43 then
	    player:getInventory():AddItem("Hydrocraft.HCBookhealth");
    elseif pup == 42 then
	    player:getInventory():AddItem("Hydrocraft.HCBookgreekmyths");
    elseif pup == 41 then
	    player:getInventory():AddItem("Hydrocraft.HCBookgeology");
    elseif pup == 40 then
	    player:getInventory():AddItem("Hydrocraft.HCBookflowerguide");
    elseif pup == 39 then
	    player:getInventory():AddItem("Hydrocraft.HCBookfishguide");
    elseif pup == 38 then
	    player:getInventory():AddItem("Hydrocraft.HCBookeconomics");
    elseif pup == 37 then
	    player:getInventory():AddItem("Hydrocraft.HCBookcommunications");
    elseif pup == 36 then
	    player:getInventory():AddItem("Hydrocraft.HCBookbiology");
    elseif pup == 35 then
	    player:getInventory():AddItem("Hydrocraft.HCBookbirdgude");
    elseif pup == 34 then
	    player:getInventory():AddItem("Hydrocraft.HCBookbible");
    elseif pup == 33 then
	    player:getInventory():AddItem("Hydrocraft.HCBookarthistory");
    elseif pup == 32 then
	    player:getInventory():AddItem("Hydrocraft.HCBookanatomy");
    elseif pup == 31 then
	    player:getInventory():AddItem("Hydrocraft.HCBookworldhistory");
    elseif pup == 30 then
	    player:getInventory():AddItem("Hydrocraft.HCBookvet");
    elseif pup == 29 then
	    player:getInventory():AddItem("Hydrocraft.HCBookstrigonometry");
    elseif pup == 28 then
	    player:getInventory():AddItem("Hydrocraft.HCBooktreeguide");
    elseif pup == 27 then
        player:getInventory():AddItem("Hydrocraft.HCBookthesaurus");
    elseif pup == 26 then
        player:getInventory():AddItem("Hydrocraft.HCBookspanish");
    elseif pup == 25 then
        player:getInventory():AddItem("Hydrocraft.HCBookscrap");
    elseif pup == 24 then
        player:getInventory():AddItem("Hydrocraft.HCBookpoetry");
    elseif pup == 23 then
        player:getInventory():AddItem("Hydrocraft.HCBookpaleontology");
    elseif pup == 22 then
        player:getInventory():AddItem("Hydrocraft.HCBookmusic");
    elseif pup == 21 then
        player:getInventory():AddItem("Hydrocraft.HCBookmedical");
    elseif pup == 20 then
        player:getInventory():AddItem("Hydrocraft.HCBookmath");
    elseif pup == 19 then
        player:getInventory():AddItem("Hydrocraft.HCBookitalian");
    elseif pup == 18 then
        player:getInventory():AddItem("Hydrocraft.HCBookgerman");
    elseif pup == 17 then
        player:getInventory():AddItem("Hydrocraft.HCBookgeometry");
    elseif pup == 16 then
       player:getInventory():AddItem("Hydrocraft.HCBookgenealogy");
    elseif pup == 15 then
        player:getInventory():AddItem("Hydrocraft.HCBookfrench");
    elseif pup == 14 then
        player:getInventory():AddItem("Hydrocraft.HCBookfairytale");
    elseif pup == 13 then
        player:getInventory():AddItem("Hydrocraft.HCBookentomology");
    elseif pup == 12 then
        player:getInventory():AddItem("Hydrocraft.HCBookenglish");
    elseif pup == 11 then
        player:getInventory():AddItem("Hydrocraft.HCBookencyclopedia");
    elseif pup == 10 then
        player:getInventory():AddItem("Hydrocraft.HCBookdictionary");
    elseif pup == 9 then
        player:getInventory():AddItem("Hydrocraft.HCBookboneworking");
    elseif pup == 8 then
        player:getInventory():AddItem("Hydrocraft.HCBookchemistry");
    elseif pup == 7 then
        player:getInventory():AddItem("Hydrocraft.HCBookceltic");
    elseif pup == 6 then
        player:getInventory():AddItem("Hydrocraft.HCBookcalculus");
    elseif pup == 5 then
        player:getInventory():AddItem("Hydrocraft.HCBookbedtime");
    elseif pup == 4 then
        player:getInventory():AddItem("Hydrocraft.HCBookanimalhusbandry");
    elseif pup == 3 then
       player:getInventory():AddItem("Hydrocraft.HCBookamericanhistory");
    elseif pup == 2 then
        player:getInventory():AddItem("Hydrocraft.HCBookalmanac");
    elseif pup == 1 then
       player:getInventory():AddItem("Hydrocraft.HCBookastronomy");   
    elseif pup == 0 then
       player:getInventory():AddItem("Hydrocraft.HCBookalgebra");      
    end
end
